Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.javascript
Class DateFieldStack

    java.lang.Object
      org.apache.tapestry5.internal.services.javascript.DateFieldStack

All Implemented Interfaces:
  JavaScriptStack

    public class DateFieldStack

extends java.lang.Object
implements JavaScriptStack

Constructor Summary
`DateFieldStack(ThreadLocale threadLocale, boolean compactJSON, AssetSource assetSource)`

Method Summary
`java.lang.String` | `getInitialization()` Returns static JavaScript initialization for the stack.
`java.util.List<Asset>` | `getJavaScriptLibraries()` Returns a list of localized assets for JavaScript libraries that form the stack.
`java.util.List<java.lang.String>` | `getStacks()` Returns a list of JavaScriptStack names that this stack depends on.
`java.util.List<StylesheetLink>` | `getStylesheets()` Returns a list of localized links for stylesheets that form the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateFieldStack

    public DateFieldStack(ThreadLocale threadLocale,
                          @Symbol(value="tapestry.compact-json")
                          boolean compactJSON,
                          AssetSource assetSource)

Method Detail

### getInitialization

    public java.lang.String getInitialization()

  Description copied from interface: `JavaScriptStack`
  Returns static JavaScript initialization for the stack. This block of JavaScript code will be added to the page that imports the stack. The code executes outside of any other function (i.e., the code is not deferred until the DOM is loaded). As with the other methods, if localization is a factor, the result of this method should be localized.

  Specified by:
    `getInitialization` in interface `JavaScriptStack`

### getJavaScriptLibraries

    public java.util.List<Asset> getJavaScriptLibraries()

  Description copied from interface: `JavaScriptStack`
  Returns a list of localized assets for JavaScript libraries that form the stack.

  Specified by:
    `getJavaScriptLibraries` in interface `JavaScriptStack`

### getStylesheets

    public java.util.List<StylesheetLink> getStylesheets()

  Description copied from interface: `JavaScriptStack`
  Returns a list of localized links for stylesheets that form the stack.

  Specified by:
    `getStylesheets` in interface `JavaScriptStack`

### getStacks

    public java.util.List<java.lang.String> getStacks()

  Description copied from interface: `JavaScriptStack`
  Returns a list of JavaScriptStack names that this stack depends on. Each stack will be processed before the current stack (thus a dependency stack's libraries, stylesheets and initialization is emitted before the dependent stack).

  Specified by:
    `getStacks` in interface `JavaScriptStack`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.